import {BrowserWindow} from "electron"
import {meta} from '../../configuration/app'
let mainWindow : BrowserWindow

module.exports = {
    launch: function() {
        mainWindow = new BrowserWindow({
            title: meta.name,
            width: 500,
            height: 500,
            webPreferences: {
                webviewTag: true,
                nodeIntegration: false,
                contextIsolation: true
            }
        })
        // Load Content
        if (process.env.NODE_ENV === "development") {
            mainWindow.loadURL('http://localhost:2023')
        } else if (process.env.NODE_ENV === 'production') {
            mainWindow.loadFile('.build/output/astro/index.html')
        }
    }
}